<template>
  <div transition-style="in:circle:hesitate" class="layout">
    <div class="Mobile" :class="{'home':($nuxt.$route.path === '/')}">
      <Header/>
      <div v-if="$nuxt.$route.path === '/'">
        <Mobile />       
      </div>
      <div v-else>
        <Nuxt />
      </div>
      <SocialLinks />
    </div>
    <div class="container">
      <div class="fixed">
        <LeftSide />
      </div>
      <div class="main">
        <Nuxt />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      path: this.$route.path
    }
  },
  mounted() {
    let vh = window.innerHeight * 0.01;
    document.documentElement.style.setProperty('--vh', `${vh}px`);
  }
}
</script>


<style>

* {
    box-sizing: border-box;
}



.Mobile {
    display: flex;
    flex-direction: column;
    padding: 5%;
    justify-content: space-between;
}

.Mobile.home {
  height: calc(var(--vh, 1vh) * 100);
}

@media (min-width: 76rem) {
  .Mobile {
    display: none;
  }
}

  @media (max-width: 76rem) {
   .layout .container {
      display: none;
    }
  }

  @media (max-width: 90rem) {
    .layout .main {
      margin: 0 0 0 0;
      width: 100%;
      padding: 5%;
    }
  }

.layout{
  width: 100%;
  height: 100%;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  position: relative;
  background-color: #090c10;
}

.main {
  width: 50%;
  margin: 0 0 0 50%;
  padding: 7rem;
  background-color: #121920;
  z-index: 2;
  min-height: 100vh;
}

h1 a.nuxt-link-exact-active {
  text-decoration: none;
}


a {
  color: #fff;
  text-decoration: none;
}

@keyframes circle-in-hesitate {
  0% {
    clip-path: circle(0%);
  }
  40% {
    clip-path: circle(40%);
  }
  100% {
    clip-path: circle(125%);
  }
}

[transition-style="in:circle:hesitate"] {
  animation: 2.5s cubic-bezier(.25, 1, .30, 1) circle-in-hesitate both;
}



</style>
